JACK-AUDIO-CONNECTION-KIT 0.125.0

Functions
statistics.h File Reference
`#include <jack/types.h>`

Go to the source code of this file.

## Functions
float | jack_get_max_delayed_usecs (jack_client_t *client)
float | jack_get_xrun_delayed_usecs (jack_client_t *client)
void | jack_reset_max_delayed_usecs (jack_client_t *client)

## Function Documentation

## ◆ jack_get_max_delayed_usecs()

float jack_get_max_delayed_usecs | ( | jack_client_t * | client | ) |

Returns
  the maximum delay reported by the backend since startup or reset. When compared to the period size in usecs, this can be used to estimate the ideal period size for a given setup.

## ◆ jack_get_xrun_delayed_usecs()

float jack_get_xrun_delayed_usecs | ( | jack_client_t * | client | ) |

Returns
  the delay in microseconds due to the most recent XRUN occurrence. This probably only makes sense when called from a JackXRunCallback defined using jack_set_xrun_callback().

## ◆ jack_reset_max_delayed_usecs()

void jack_reset_max_delayed_usecs | ( | jack_client_t * | client | ) |

Reset the maximum delay counter. This would be useful to estimate the effect that a change to the configuration of a running system (e.g. toggling kernel preemption) has on the delay experienced by JACK, without having to restart the JACK engine.